### Method

# Gtk IconView get_selected_items

deprecated: 4.10

#### Declaration [src]

    GList*
    gtk_icon_view_get_selected_items (
      GtkIconView* icon_view
    )

#### Description [src]

Creates a list of paths of all selected items. Additionally, if you are planning on modifying the model after calling this function, you may want to convert the returned list into a list of `GtkTreeRowReferences`. To do this, you can use gtk_tree_row_reference_new().

To free the return value, use `g_list_free_full`:

    GtkWidget *icon_view = gtk_icon_view_new ();
    // Use icon_view

    GList *list = gtk_icon_view_get_selected_items (GTK_ICON_VIEW (icon_view));

    // use list

    g_list_free_full (list, (GDestroyNotify) gtk_tree_path_free);

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Return value

Type: A list of `GtkTreePath*`

A `GList` containing a `GtkTreePath` for each selected row.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.